Name:           soundconverter
Version:        1.5.4
Release:        13%{?dist}
Summary:        Simple sound converter application for GNOME

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://soundconverter.berlios.de/
Source0:        http://download.berlios.de/soundconverter/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool gettext
BuildRequires:  pygtk2
BuildRequires:  gnome-python2-gnome

# reported upstream, #017664
# in 1.5.4 translatable strings are either untranslated and/or marked as fuzzy
# NOT APPLIED in 1.5.4
Patch0: soundconverter-1.5.3-bz647336.patch
# launchpad 814015
# Fedora bz 714454
Patch1: soundconverter-1.5.4-gst-profile-lang.patch
# launchpad 814011
# Fedora bz 718334, glib2 markup_escape_text wants utf-8, else segfaults
Patch2: soundconverter-1.5.4-markup_escape_text.patch
#
Patch3: soundconverter-1.5.4-clearlist.patch
# disable FLAC to Ogg Vorbis due to damaged files, GStreamer bz 651615
#Patch4: soundconverter-1.5.4-flacogg.patch
# Fedora bz 744596
Patch5: soundconverter-1.5.4-gst-profile-bad.patch
# Fedora bz 784413, lp 921515
Patch6: soundconverter-1.5.4-last-used-folder.patch
# Fedora bz 784791
Patch7: soundconverter-1.5.4-resample-rate.patch

# enforce availability of this and its requirement "desktop-notification-daemon"
Requires:       notify-python

# version 2.10 is old enough not to need an explicit version here
Requires:       pygtk2
Requires:       gnome-python2-gnome
Requires:       gnome-python2-gconf
# a missing dep in gnome-python2-gnome, see bz #689836
Requires:       gnome-python2-bonobo
# a missing dep somewhere, causes bz #718791
Requires:       gnome-python2-canvas
# currently a dep of gnome-python2-gnome, but one cannot rely on that
# after the two missing deps above
Requires:       gnome-python2-gnomevfs

Requires:       gstreamer-python
Requires:       gstreamer-plugins-base

%if 0%{?fedora} > 16
Requires:       gstreamer-plugins-good >= 0.10.30-5.fc17
%endif
%{?fc16:Requires: gstreamer-plugins-good >= 0.10.30-5.fc16}
%{?fc15:Requires: gstreamer-plugins-good >= 0.10.29-2.fc15}


%description
A simple sound converter application for the GNOME environment. It reads and
writes anything the GStreamer library can.


%prep
%setup -q
# see Patch0
#patch0 -p1 -b .bz647336
%patch1 -p1 -b .bz714454
%patch2 -p1 -b .bz718334
%patch3 -p1 -b .really-clearlist
# gstreamer-plugins-good with backported fix has been pushed on 20111210
# F-16 https://admin.fedoraproject.org/updates/FEDORA-2011-16499
# F-15 https://admin.fedoraproject.org/updates/FEDORA-2011-16543
#patch4 -p1 -b .flacoggdisable
%patch5 -p1 -b .bz744596
%patch6 -p1 -b .bz784413
%patch7 -p1 -b .bz784791


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
make install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category X-OutputGeneration \
  --delete-original \
  ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%doc ChangeLog COPYING README TODO
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg


%changelog
* Thu Jan 26 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-13
- Fix traceback when enabling resampling without choosing a sample
  rate (#784791).

* Thu Jan 26 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-12
- Fix traceback when trying to "Add File" for no "Recently Used"
  folder (#784413).

* Sat Dec 10 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-11
- Reenable FLAC to Ogg Vorbis conversion and require at least the
  first build of the gstreamer-plugins-good package that contains
  the backported fix.

* Sun Oct  9 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-10
- Ignore bad audio profiles (#744596) and multiple ones with no description.
- Remove %%defattr line.

* Fri Aug 19 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-9
- Enhance the previous patch, and consider the case when preferences
  are changed after creating a list of input files. Also remove rejected
  FLAC files from an internal filelist, so readding them will display the
  warning dialog again.

* Fri Aug 19 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-8
- Block conversion of FLAC to Ogg Vorbis due to GStreamer stream
  corruption (GNOME bz 651615).
- Make "Clear" button really clear internal filelist.

* Mon Jul  4 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-7
- Add (currently redundant) dependency on gnome-python2-gnomevfs, which
  is required by gnome-python2-gnome already, but Soundconverter imports
  the gnomevfs module directly.

* Mon Jul  4 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-6
- Add dependency on gnome-python2-canvas, which is a missing dep
  somewhere and causes a crash on non-GNOME installations (#718791).
  Probably related to the similar issue mentioned on March 22nd.

* Sat Jul  2 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-5
- Fix crash in markup_escape (calling glib markup_escape_text)
  caused by file names with invalid encodings (#718334).

* Tue Jun 21 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-4
- Fix crash when GNOME Audio Profile description changes translation (#714454).

* Tue Mar 22 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-3
- Add dependency on gnome-python2-bonobo, which is a missing dep of
  gnome-python2-gnome (#689836) and causes a crash if not installed,
  e.g. on LXDE #688780.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan  9 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-1
- Upgrade to 1.5.4.

* Thu Dec 16 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-8
- Add direct dependency on notify-python.

* Mon Nov 29 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-7
- Fix command-line FLAC compression default in order to avoid crash.

* Fri Nov 26 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-6
- Fix command-line options -m and -s, which have never worked,
  and -t which was broken by changes after 1.4.4.

* Wed Nov 24 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-5
- Fix command-line batch mode (#656526). Also skip conversion if input
  file name is same as output file name (as that would not have worked
  so far and would have emptied/deleted the input file instead).

* Wed Nov 17 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-4
- Fix target folder for artist/album creation when the source files are
  stored in subdirectories (#654045).

* Tue Nov 16 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-3
- Remove urllib.quote call for target folder URI, so e.g. space characters
  don't lead to creating a new unescaped target folder.

* Thu Oct 28 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-2
- Patch po files for combobox "AssertionError: model:4 widgets:5" (#647336)

* Thu Jun 17 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-1
- Upgrade to 1.5.3.

* Tue Jun 15 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.2-2
- Fix ZeroDivisionError in progress calculation.

* Tue Jun 15 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.2-1
- Upgrade to 1.5.2.

* Wed May 12 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.4.4-2
- Update .desktop file patch.
- Minor spec adjustments in explicit deps and files section.

* Sat Jan 23 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.4-1
- Update release.

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.3.2-4
- Update desktop file according to F-12 FedoraStudio feature

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 25 2008 Denis Leroy <denis@poolshark.org> - 1.3.2-1
- Update to upstream 1.3.2
- Fixed gnome-python2 BR

* Tue May 13 2008 Denis Leroy <denis@poolshark.org> - 1.2.0-1
- Update to upstream 1.2.0

* Fri Jan 11 2008 Denis Leroy <denis@poolshark.org> - 0.9.8-1
- Update to upstream 0.9.8, bugfix release

* Thu Aug 16 2007 Denis Leroy <denis@poolshark.org> - 0.9.7-1
- Update to 0.9.7
- Updated License tag
- Added patch to fix desktop file

* Sun Apr 29 2007 Denis Leroy <denis@poolshark.org> - 0.9.6-1
- Update to 0.9.6
- Removed some icon-related hacks, fixed upstream

* Thu Mar  1 2007 Denis Leroy <denis@poolshark.org> - 0.9.4-1
- Update to 0.9.4
- Removed taglib patch, is upstream
- Moved desktop icon into /usr/share/icons/

* Wed Nov  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.3-2
- Added patch to detect missing id3v2mux gst plugin

* Thu Oct 19 2006 Denis Leroy <denis@poolshark.org> - 0.9.3-1
- Update to 0.9.3

* Tue Oct 17 2006 Denis Leroy <denis@poolshark.org> - 0.9.2-1
- Update to 0.9.2

* Fri Sep  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.1-3
- Fixed desktop install

* Fri Sep  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.1-2
- Added intltool BRs

* Fri Sep  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.1-1
- Update to 0.9.1
- Uses gstreamer 1.0
- Some cleanup, use upstream configure and desktop

* Mon Sep  4 2006 Denis Leroy <denis@poolshark.org> - 0.8.3-2
- FE6 Rebuild

* Sun Feb 12 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.3-1
- Upstream update
- Updated to use gstreamer08

* Tue Nov 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.1-2
- Added gnome-python2-gconf to Requires (#173290)

* Mon Nov 14 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.1-1
- Upstream update

* Sun Oct  2 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.0-1
- Initial RPM release
